// funkcja generuje kolejne punkty metody Rungego--Kutty
// a - punkt pocztkowy
// x_0 - warunek pocztkowy
// h - skok :)
// plot - plik wynikowy
// name - nazwa zmiennej w pliku do ktrej zapisa wyniki
void get_rk_points (double a, vec4 x_0, double h, FILE *plot,
                   const char name[32])
{
    double t=a;
    vec4 x;
    copy(x_0,x);
    vec4 x2;
    vec4 k1,k2;

    fprintf(plot,"pair[] %s = {", name);

    while(t<=2.0) {
        fprintf(plot,"(%f,%f),",t,x[0]);
        copy(x,x2);

        f(t,x,k1);
        add(x,0.5*h,k1);

        f(t+h*0.5,x,k2);

        add(x2,h,k2);
        copy(x2,x);
        t+=h;
    }

    fflush(plot);
    fseek(plot,-1,SEEK_CUR);
    fprintf(plot,"};\n");
}